Create By Multi Content
Create a workflow.
Request
URI
POST
https://{api_host}/tca/workflows/api/v1/orgs/{tenantIdWorkflow}/workflow
COPY
Path Parameters
string
tenantIdWorkflowExecution
Required
The identifier of the tenant
Request Body
The workflow to be created
File
of type(s)
multipart/form-data
Required
{
"files": [
{}
]
}
workflowExecution
Optional
workflowExecution
array of
multipartFile
files
Optional
files
Responses
200
Workflow successfully created
Returns
workflowExecution
of type(s)
application/json
This response body class contains all of the following:
workflowExecutionBase ,
InlineworkflowExecution1
{
"pauseAtFailure": false,
"retainedTil": "string",
"debugStepIds": [
"string"
],
"contextType": "string",
"workflow": {
"id": "string",
"createdAt": "string",
"creationUser": "string",
"creationTenantId": "string"
},
"id": "string",
"creationTime": "string",
"aborted": false,
"endTime": "string",
"creationUser": "string",
"stepExecutions": [
{
"stepSnapshot": {
"id": "string"
},
"state": "string",
"startTime": "string",
"aborted": false,
"endTime": "string",
"logs": [
{
"msg": "string",
"time": "string",
"level": "string"
}
]
}
],
"logs": [
{
"msg": "string",
"time": "string",
"level": "string"
}
]
}
400
Bad Request
Returns
errorResponse
of type(s)
application/json
{
"errors": [
{
"code": "string",
"message": "string"
}
]
}
401
Unauthorized
Operation doesn't return any data structure
403
Forbidden
Returns
errorResponse
of type(s)
application/json
{
"errors": [
{
"code": "string",
"message": "string"
}
]
}
404
Workflow not found
Returns
errorResponse
of type(s)
application/json
{
"errors": [
{
"code": "string",
"message": "string"
}
]
}
500
Internal Server Error
Returns
errorResponse
of type(s)
application/json
{
"errors": [
{
"code": "string",
"message": "string"
}
]
}
Workflow Operations
PUT
Create
POST
Create By Multi Content
DELETE
Delete
GET
Get
GET
List
POST
Update